## e-shell-window-actions e-shell-window-actions |

## Functions

#define | E_SHELL_WINDOW_ACTION()
#define | E_SHELL_WINDOW_ACTION_GROUP()
#define | E_SHELL_WINDOW_ACTION_ABOUT()
#define | E_SHELL_WINDOW_ACTION_ACCOUNTS()
#define | E_SHELL_WINDOW_ACTION_CLOSE()
#define | E_SHELL_WINDOW_ACTION_CONTENTS()
#define | E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_DELETE_SELECTION()
#define | E_SHELL_WINDOW_ACTION_IMPORT()
#define | E_SHELL_WINDOW_ACTION_NEW_WINDOW()
#define | E_SHELL_WINDOW_ACTION_PAGE_SETUP()
#define | E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD()
#define | E_SHELL_WINDOW_ACTION_PREFERENCES()
#define | E_SHELL_WINDOW_ACTION_QUIT()
#define | E_SHELL_WINDOW_ACTION_SELECT_ALL()
#define | E_SHELL_WINDOW_ACTION_SHORTCUTS()
#define | E_SHELL_WINDOW_ACTION_SHOW_MENUBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_SWITCHER()
#define | E_SHELL_WINDOW_ACTION_SHOW_TASKBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR()
#define | E_SHELL_WINDOW_ACTION_SHOW_WEBKIT_GPU()
#define | E_SHELL_WINDOW_ACTION_SUBMIT_BUG()
#define | E_SHELL_WINDOW_ACTION_SWITCHER_MENU()
#define | E_SHELL_WINDOW_ACTION_WORK_OFFLINE()
#define | E_SHELL_WINDOW_ACTION_WORK_ONLINE()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP()
#define | E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM()
#define | E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE()
#define | E_SHELL_WINDOW_ACTION_GROUP_SHELL()

## Description

## Functions

### E_SHELL_WINDOW_ACTION()

    #define             E_SHELL_WINDOW_ACTION(window, name)

### E_SHELL_WINDOW_ACTION_GROUP()

    #define             E_SHELL_WINDOW_ACTION_GROUP(window, name)

### E_SHELL_WINDOW_ACTION_ABOUT()

    #define             E_SHELL_WINDOW_ACTION_ABOUT(window)

Activation of this action displays the application's About dialog.

Main menu item: Help -> About

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_ACCOUNTS()

    #define             E_SHELL_WINDOW_ACTION_ACCOUNTS(window)

### E_SHELL_WINDOW_ACTION_CLOSE()

    #define             E_SHELL_WINDOW_ACTION_CLOSE(window)

Activation of this action closes `window` . If this is the last window, the application initiates shutdown.

Main menu item: File -> Close

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_CONTENTS()

    #define             E_SHELL_WINDOW_ACTION_CONTENTS(window)

Activation of this action opens the application's user manual.

Main menu item: Help -> Contents

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_COPY_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_CUT_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_DELETE_SELECTION()

    #define             E_SHELL_WINDOW_ACTION_DELETE_SELECTION(window)

### E_SHELL_WINDOW_ACTION_IMPORT()

    #define             E_SHELL_WINDOW_ACTION_IMPORT(window)

Activation of this action opens the Evolution Import Assistant.

Main menu item: File -> Import...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_NEW_WINDOW()

    #define             E_SHELL_WINDOW_ACTION_NEW_WINDOW(window)

Activation of this action opens a new shell window.

Main menu item: File -> New Window

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PAGE_SETUP()

    #define             E_SHELL_WINDOW_ACTION_PAGE_SETUP(window)

Activation of this action opens the application's Page Setup dialog.

Main menu item: File -> Page Setup...

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD()

    #define             E_SHELL_WINDOW_ACTION_PASTE_CLIPBOARD(window)

### E_SHELL_WINDOW_ACTION_PREFERENCES()

    #define             E_SHELL_WINDOW_ACTION_PREFERENCES(window)

Activation of this action opens the application's Preferences window.

Main menu item: Edit -> Preferences

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_QUIT()

    #define             E_SHELL_WINDOW_ACTION_QUIT(window)

Activation of this action initiates application shutdown.

Main menu item: File -> Quit

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SELECT_ALL()

    #define             E_SHELL_WINDOW_ACTION_SELECT_ALL(window)

### E_SHELL_WINDOW_ACTION_SHORTCUTS()

    #define             E_SHELL_WINDOW_ACTION_SHORTCUTS(window)

### E_SHELL_WINDOW_ACTION_SHOW_MENUBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_MENUBAR(window)

This toggle action controls whether the menu bar is visible.

Main menu item: View -> Layout -> Show Menu Bar

#### Parameters

window | an EShellWindow |

Since: 3.24

### E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SIDEBAR(window)

This toggle action controls whether the sidebar is visible.

Main menu item: View -> Layout -> Show Sidebar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_SWITCHER()

    #define             E_SHELL_WINDOW_ACTION_SHOW_SWITCHER(window)

This toggle action controls whether the switcher buttons are visible.

Main menu item: View -> Switcher Appearance -> Show Buttons

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TASKBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TASKBAR(window)

This toggle action controls whether the task bar is visible.

Main menu item: View -> Layout -> Show Status Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR()

    #define             E_SHELL_WINDOW_ACTION_SHOW_TOOLBAR(window)

This toggle action controls whether the tool bar is visible.

Main menu item: View -> Layout -> Show Tool Bar

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SHOW_WEBKIT_GPU()

    #define             E_SHELL_WINDOW_ACTION_SHOW_WEBKIT_GPU(window)

### E_SHELL_WINDOW_ACTION_SUBMIT_BUG()

    #define             E_SHELL_WINDOW_ACTION_SUBMIT_BUG(window)

Activation of this action allows users to report a bug using Bug Buddy.

Main menu item: Help -> Submit Bug Report

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_SWITCHER_MENU()

    #define             E_SHELL_WINDOW_ACTION_SWITCHER_MENU(window)

### E_SHELL_WINDOW_ACTION_WORK_OFFLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_OFFLINE(window)

Activation of this action puts the application into offline mode.

Main menu item: File -> Work Offline

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_WORK_ONLINE()

    #define             E_SHELL_WINDOW_ACTION_WORK_ONLINE(window)

Activation of this action puts the application into online mode.

Main menu item: File -> Work Online

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_APPLICATION_HANDLERS(window)

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINTING(window)

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_PRINT_SETUP(window)

### E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK()

    #define             E_SHELL_WINDOW_ACTION_GROUP_LOCKDOWN_SAVE_TO_DISK(window)

### E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_ITEM(window)

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE()

    #define             E_SHELL_WINDOW_ACTION_GROUP_NEW_SOURCE(window)

#### Parameters

window | an EShellWindow |

### E_SHELL_WINDOW_ACTION_GROUP_SHELL()

    #define             E_SHELL_WINDOW_ACTION_GROUP_SHELL(window)

#### Parameters

window | an EShellWindow |